<?php
defined( 'ABSPATH' ) OR exit;

require_once( ABSPATH . 'wp-load.php' );
require_once( ABSPATH . "wp-includes/pluggable.php" );

define( 'HOB_AP_DIR_NAME', basename( plugin_dir_path(  dirname( __FILE__ , 1 ))) );

/**
 * Hob_ap_settings
 * 
 * @package HOB Acte Publicité
 * @author url: https://www.hob-france.com/
 * @author email info@hob-fr.com
 *
 */
class Hob_ap_settings
  { 
    public function options(){      
      update_option( 'hob-ap-token',false, '', 'yes' );
      set_transient( '_hob_ap_statut', false, 24 * 3600 );
    }
    

    // /**
    //  * check_licence
    //  * 
    //  * Vérification si la clé licence est valide
    //  *
    //  * @return void
    //  */
    public function check_licence(){
        $_check_statut = get_transient('_hob_ap_statut');
        if(get_transient('_hob_ap_statut') == false){
          $token = get_option( 'hob-ap-token');
          if($token != ""){
            $this->check_hob_licence();
          }else{
            set_transient( '_hob_ap_statut', false, 60 );
          }
        }
        return $_check_statut;
    }

    /**
     * update_token
     * 
     * Mise a jour de la licence
     *
     * @param  mixed $token
     * @return void
     */
    public function update_token($token){
        update_option( 'hob-ap-token',$token, '', 'yes' );
        $this->check_hob_licence();
        header("Location: ".get_site_url()."/wp-admin/edit.php?post_type=hob-ap&page=hob-ap_licencekey");
        exit;
      }
      
      /**
       * check_hob_licence
       * 
       * vérification dela licence via joom hob
       *
       * @return void
       */
      private function check_hob_licence()
      {
          $token = md5($_SERVER['SERVER_NAME'] . '-HOBACTESWP');
          $file_xml = @file_get_contents('https://www.joomhob.com/index.php?option=com_hob_control&task=control.infos_licence&key='. get_option( 'hob-ap-token') .'&token='.$token);
          $data = json_decode($file_xml);
          if($data && isset($data->status) && $data->status == "active"){
            set_transient( '_hob_ap_statut', true, 24 * 3600 );
            header("Location: http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]");
            exit;
          }else{
            set_transient( '_hob_ap_statut', false, 60 );
          }      
      }

}