<?php

defined( 'ABSPATH' ) OR exit;

global $wpdb ;

/**
 * Hob_ap_Setup
 * 
 * @package HOB Acte Publicité
 * @author url: https://www.hob-france.com/
 * @author email info@hob-fr.com
 */
class Hob_ap_Setup
{
    protected static $instance;
    
    /**
     * init
     *
     * @return void
     */
    public static function init()
    {
        is_null( self::$instance ) AND self::$instance = new self;
        return self::$instance;
    }
    
    /**
     * on_activation
     *
     * @return void
     */
    public static function on_activation()
    {
        if ( ! current_user_can( 'activate_plugins' ) )
            return;

        $plugin = isset( $_REQUEST['plugin'] ) ? $_REQUEST['plugin'] : '';
        check_admin_referer( "activate-plugin_{$plugin}" );

        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

        $hob_ap_settings = new Hob_ap_settings;
        $hob_ap_settings->options();

    }
    
    /**
     * on_deactivation
     *
     * @return void
     */
    public static function on_deactivation()
    {
        if ( ! current_user_can( 'activate_plugins' ) )
            return;
        $plugin = isset( $_REQUEST['plugin'] ) ? $_REQUEST['plugin'] : '';
        check_admin_referer( "deactivate-plugin_{$plugin}" );
        
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

        $hob_ap_settings = new Hob_ap_settings;

        delete_option( 'hob-ap-token');

    }

}