<?php

get_header();

if ( have_posts() ) {
	?>
	<header class="page-header alignwide">
		<h1 class="page-title">
			<?php
			printf(
				/* translators: %s: Search term. */
				esc_html__( 'Résultats pour "%s"'),
				'<span class="page-description search-term">' . esc_html( get_search_query() ) . '</span>'
			);
			?>
		</h1>
	</header><!-- .page-header -->

	<div class="search-result-count default-max-width">
		<?php
		printf(
			esc_html(
				/* translators: %d: The number of search results. */
				_n(
					'Nous avons trouvé %d résultat pour votre recherche.',
					'Nous avons trouvé %d résultats pour votre recherche.',
					(int) $wp_query->found_posts)
			),
			(int) $wp_query->found_posts
		);
		?>
	</div><!-- .search-result-count -->
	<!-- // Start the Loop. -->
    <?php while ( have_posts() ) : ?>		
        
		<div id="hob-content">

				<?php echo the_post();

				// Conversion de la date enregistrée en BDD
				// $date_conseil = strip_tags(get_the_term_list( $post->ID, 'hob_date_conseil'));
				// $dt = DateTime::createFromFormat('d/m/Y', $date_conseil);

				

				$imgID = get_term_meta( $post->ID, 'hob_file', true ); // Obtention de l'ID du fichier lié au post
				$imageURL = wp_get_attachment_url( $imgID ); // Récupération de l'url de l'image liée à cet ID
				?>

				<?php get_template_part( 'template-parts/content/content', get_theme_mod( 'display_excerpt_or_full_post', 'excerpt' ) ); ?>

				<div id="term_array">
					<ul>
					<?php if ($imageURL != false) { ?>
						<li><a href="<?php echo $imageURL; ?>" target="_blank"><img class="hob_pdf" src="https://upload.wikimedia.org/wikipedia/commons/thumb/8/87/PDF_file_icon.svg/833px-PDF_file_icon.svg.png" width='40px' height='50px'></li>
						<?php } 
						
						else { ?>
							<li>
								<img class="hob_pdf" src="https://cdn.iconscout.com/icon/premium/png-256-thumb/file-error-4077353-3383647.png" width='40px' height='50px'>
								<p class="invalid_doc" style="text-align:left; color:red">Format</p>
								<p class="invalid_doc" style="text-align:left; color:red">Invalide</p>
							</li>
						<?php }
						?>
						<div class="flex-container">

							<a class="title" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
							<li style="font-size:18px"><strong>Rubrique: </strong><?php echo get_the_term_list( $post->ID, 'hob_rubrique', '<span class="hob_span_list">', ', ', '</span>' ) ?></li>
							<li style="font-size:18px"><strong>Catégorie: </strong><?php echo get_the_term_list( $post->ID, 'hob_typecat', '<span class="hob_span_list">', ', ', '</span>' ) ?></li>
							<li style="font-size:18px"><strong>Date du conseil: </strong><?php echo '<span class="hob_span_list">'. date('d/m/Y', strtotime($date_conseil)) .'</span>'; ?></li>
							<li style="font-size:18px"><strong>Numéro de registre: </strong><?php echo get_the_term_list( $post->ID, 'hob_register', '<span class="hob_span_list">', ', ', '</span>' ) ?> / Page: <?php echo get_the_term_list( $post->ID, 'hob_page', '<span class="hob_span_list">', ', ', '</span>' ) ?></li>
							<li style="font-size:18px"><strong>Date de mise en ligne: </strong><span class="hob_span_date"><?php the_time('d/m/Y'); ?></span></li>

							<!-- <li><h5 class="categorie">Catégorie: </h5><?php echo get_the_term_list( $post->ID, 'hob_typecat', '<p class="hob_typecat_p">', ', ', '</p>' ) ?></li> -->
						</div>	
					</ul>
				</div>

                <?php endwhile; 

	// If no content, include the "No posts found" template.
} else {
	get_template_part( 'template-parts/content/content-none' );
}

get_footer();
